Get Dataprovider

LLM-friendly URL
POST
https://api.luzmo.com/0.1.0/dataprovider
API call form
Examples
List of examples
  • Get a list of available datasets from a connection
  • PostgreSQL - Get a list of available datasets from a PostgreSQL connection
  • MongoDB - Get a list of available datasets from a MongoDB connection
Description

Once you have established a connection, or retrieved the id and provider name of your already established connection, you can now get a list of all the datasets available through that connection.

Install
pip install luzmo-sdk
Example Response
200
400
500
{
  "count": 1,
  "rows": [
    {
      "schema": "public",
      "table": "burritos",
      "type": "table"
    },
    {
      "schema": "public",
      "table": "burrito_shops",
      "type": "table"
    },
    {
      "schema": "public",
      "table": "test_view",
      "type": "view"
    }
  ]
}